Package org.opensaml.messaging.context.httpclient

# Class HttpClientRequestContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.messaging.context.httpclient.HttpClientRequestContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class HttpClientRequestContext extends BaseContext
A context impl holding data related to the execution of an `HttpClient` request.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.apache.hc.client5.http.protocol.HttpClientContext`
`httpClientContext`
The HttpClientContext instance.

## Constructor Summary

Constructors
Constructor
Description
`HttpClientRequestContext()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.hc.client5.http.protocol.HttpClientContext`
`getHttpClientContext()`
Get the `HttpClientContext` instance.
`void`
`setHttpClientContext(org.apache.hc.client5.http.protocol.HttpClientContext context)`
Set the `HttpClientContext` instance.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### httpClientContext

@Nullable private org.apache.hc.client5.http.protocol.HttpClientContext httpClientContext
The HttpClientContext instance.

## Constructor Details

### HttpClientRequestContext

public HttpClientRequestContext()

## Method Details

### getHttpClientContext

@Nullable public org.apache.hc.client5.http.protocol.HttpClientContext getHttpClientContext()
Get the `HttpClientContext` instance.

Returns:
  the HttpClientContext instance, or null

### setHttpClientContext

public void setHttpClientContext(@Nullable org.apache.hc.client5.http.protocol.HttpClientContext context)
Set the `HttpClientContext` instance.

Parameters:
  `context` - the client context instance to set, or null